MSK4TextInternal::DataPLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions

| DataPLC ()
| constructor More...

## Public Attributes

std::string | m_name
| the entry name More...
PLCType | m_type
| the type More...
long | m_value
| a potential value More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< More...

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

MSK4TextInternal::DataPLC::DataPLC | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSK4TextInternal::DataPLC::m_error

a string used to store the parsing errors

Referenced by MSK4TextInternal::operator<<(), and MSK4Text::readPLC().

std::string MSK4TextInternal::DataPLC::m_name

the entry name

Referenced by MSK4TextInternal::operator<<(), and MSK4Text::readPLC().

PLCType MSK4TextInternal::DataPLC::m_type

the type

Referenced by MSK4Text::readPLC().

long MSK4TextInternal::DataPLC::m_value

a potential value

Referenced by MSK4TextInternal::operator<<(), and MSK4Text::readPLC().

The documentation for this struct was generated from the following file:

- MSK4Text.cxx